#
# Conditional build:
%bcond_without	tests		# do not perform "make test"

%define		pdir	File
%define		pnam	FcntlLock
%include	/usr/lib/rpm/macros.perl
Summary:	File::FcntlLock - File locking with fcntl(2)
Name:		perl-File-FcntlLock
Version:	0.14
Release:	11
License:	unknown
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/File/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	261aa44a9806181ae8fdf49bead7f828
URL:		http://search.cpan.org/dist/File-FcntlLock/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
File locking in Perl is usually done using the flock() function.
Unfortunately, this only allows locks on whole files and is often
implemented in terms of flock(2), which has some shortcomings.

Using this module file locking via fcntl(2) can be done (obviously,
this restricts the use of the module to systems that have a fcntl(2)
system call). Before a file (or parts of a file) can be locked, an
object simulating a flock structure must be created and its properties
set. Afterwards, by calling the lock() method a lock can be set or it
can be determined if and which process currently holds the lock.

To create a new object representing a flock structure call new():

  $fs = new File::FcntlLock;

You also can pass the new() method a set of key-value pairs to
initialize the objects properties, e.g. use

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/File/*.pm
%dir %{perl_vendorarch}/auto/File/FcntlLock
%attr(755,root,root) %{perl_vendorarch}/auto/File/FcntlLock/*.so
%{_mandir}/man3/*
%changelog
* Wed Dec 04 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-File-FcntlLock.git;a=log;h=master

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> fe07f2c
- rebuild with perl 5.30.0
- release 11 (by relup.sh)

* Thu Aug 30 2018 Jan Rękorajski <baggins@pld-linux.org> 4f9e275
- rebuild with perl 5.28.0
- release 10 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> abbe6b8
- perl req/prov fix
- release 9 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 2a6a31e
- rebuild with perl 5.26
- release 8 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> 8da111f
- rebuild with perl 5.24.0
- release 7 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> f1ede07
- release 6 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> c42e783
- x32 rebuild
- release 5 (by relup.sh)

* Tue Nov 25 2014 Elan Ruusamäe <glen@delfi.ee> a03f548
- use generic url

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> 7342b9f
- release 4 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 89c9076
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 3e6320a
- rebuild for perl 5.20
- release 3 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 1ec1c0e
- rebuild with perl 5.18.0
- release 2 (by relup.sh)

* Wed Jan 25 2012 zbyniu <zbyniu@pld-linux.org> 91da37e
- new

